package com.house365.ws.service.interfaces;

import com.house365.beans.entity.DepartmentEntity;
import com.house365.beans.entity.UserEntity;
import com.house365.beans.system.Page;
import com.house365.ws.beans.response.UserListResponse;

import java.util.List;
import java.util.Map;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/5/16</p>
 *
 * @author XN
 * @version 1.0
 */
public interface IHgsCacheUtil {
    List<DepartmentEntity> getChildDeptments(Integer parentId);

    void delChildDepartCache(Integer deptId);

    void delChildTreeCache(Integer id);

    void delChildUserIds(Integer userId);

    UserListResponse getUserListByDept(DepartmentEntity dept, Map<String, Object> userParaMap, Page page);

    Map<String, Object> getSummary(String managerId);

    void delUserSummary(Integer userId);
}
